Page MenuHomePhabricator

[UI] Change title of the field of a lemma language
Closed, ResolvedPublic1 Story Points

Description

When editing a lexeme, there's a field "language". The value expected here is a language code. As a shortfix to make it more understandable for the users, I'd like to have this field named "Language code" instead.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 2 2018, 7:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek renamed this task from [UI] Change title of the field of a Lexeme language to [UI] Change title of the field of a lemma language.May 8 2018, 1:09 PM
WMDE-leszek set the point value for this task to 1.

That field should be called "variant" or "spelling", it should not make any reference to "language".

For the reference, the message key is wikibaselexeme-form-field-language-label

Change 434686 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/extensions/WikibaseLexeme@master] Don't refer to the spelling variant as "language"

https://gerrit.wikimedia.org/r/434686

Change 434690 had a related patch set uploaded (by Addshore; owner: Daniel Kinzler):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Don't refer to the spelling variant as "language"

https://gerrit.wikimedia.org/r/434690

Change 434691 had a related patch set uploaded (by Addshore; owner: Daniel Kinzler):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.5] Don't refer to the spelling variant as "language"

https://gerrit.wikimedia.org/r/434691

Change 434686 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Don't refer to the spelling variant as "language"

https://gerrit.wikimedia.org/r/434686

Change 434690 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Don't refer to the spelling variant as "language"

https://gerrit.wikimedia.org/r/434690

Change 434691 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.5] Don't refer to the spelling variant as "language"

https://gerrit.wikimedia.org/r/434691

Mentioned in SAL (#wikimedia-operations) [2018-05-23T14:28:18Z] <addshore@tin> Started scap: WikibaseLexeme: Do not refer to the spelling variant as language, T193603, [[gerrit:434691|Patch 1]], [[gerrit:434690|Patch 2]]

Mentioned in SAL (#wikimedia-operations) [2018-05-23T16:11:56Z] <addshore@tin> Finished scap: WikibaseLexeme: Do not refer to the spelling variant as language, T193603, [[gerrit:434691|Patch 1]], [[gerrit:434690|Patch 2]] (duration: 103m 38s)

Lydia_Pintscher closed this task as Resolved.May 24 2018, 8:49 AM
Lydia_Pintscher claimed this task.
Vvjjkkii renamed this task from [UI] Change title of the field of a lemma language to gtdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from gtdaaaaaaa to [UI] Change title of the field of a lemma language.Jul 1 2018, 9:24 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lydia_Pintscher.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:57 AM